.product-blocks {
  & .rebuy-widget {
    padding-top: var(--spacing-6);
    border-top: 1px solid var(--color-mid-gray);
  }

  & .rebuy-widget-container {
    & .primary-title {
      margin-bottom: var(--spacing-2);
      font-family: var(--font-heading);
      font-size: var(--font-size-heading-5-base);
      font-weight: 400;
      text-align: left;
    }

    & .rebuy-money:not(.compare-at) {
      font-weight: 700;
    }

    & .rebuy-product-block {
      & .rebuy-product-info {
        & .rebuy-product-title {
          margin-top: 0;
          font-size: var(--font-size-product-listing-title);
        }
      }
    }

    & .rebuy-product-description,
    & .splide__arrows {
      display: none !important;
    }

    & .rebuy-product-block {
      padding-top: 0;
    }

    & .rebuy-button {
      width: auto;
      padding-inline: var(--spacing-6);
      background-color: var(--color-button-primary-background);
      border-color: transparent;
      border-radius: var(--border-radius-full);
      box-shadow: 0 0 0 1px var(--color-mid-gray);
      color: var(--color-button-primary-text, inherit);

      &:hover {
        background-color: var(--color-button-primary-background-hover);
        box-shadow: 0 0 0 1px var(--color-button-primary-background-hover);
        color: var(--color-button-primary-text-hover, inherit);
      }
    }

    & .rebuy-size-swatches {
      margin-block: 0;
      gap: var(--spacing-1);
    }

    & .rebuy-size-label {
      margin-right: 0;
      padding: var(--spacing-1) var(--spacing-3);
      transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out;
      background-color: var(--color-white);
      border: 0;
      border-radius: 4px;
      box-shadow: 0 0 0 1px inset var(--color-text-alpha-10),
        0 0 0 0 var(--color-border);
      color: var(--color-black);
      cursor: pointer;
      font-size: var(--font-size-body-60);
      font-weight: 700;

      &:not(&.disabled):hover {
        background-color: var(--color-cobalt);
        border: 0;
        box-shadow: 0 0 0 transparent;
        color: var(--color-white);
      }

      &:not(&:is(.disabled, :hover)) .product__chip__new {
        color: var(--color-cobalt);
      }
    }

    & .rebuy-size-input:checked + .rebuy-size-label {
      background-color: var(--color-cobalt);
      border: 0;
      box-shadow: 0 0 0 transparent;
      color: var(--color-white);
    }

    & .rebuy-product-actions {
      margin-top: var(--spacing-4);
    }
  }
}

.rebuy-widget .rebuy-product-grid {
  .rebuy-product-block {
    padding-inline: 8px;
  }

  .rebuy-button {
    display: inline-block;
    width: auto;
    padding-inline: 24px;
    background: var(--color-white);
    color: var(--color-btn-text);
    border: 0;
    border-radius: var(--border-radius-full);
    box-shadow: 0 0 0 1px var(--color-mid-gray);

    &:hover {
      background-color: var(--color-cobalt);
      box-shadow: 0 0 0 1px var(--color-cobalt);
    }
  }

  .rebuy-product-info {
    text-align: left;
  }

  .rebuy-money {
    color: var(--color-black);
    font-weight: 700;

    &.sale {
      color: var(--color-products-sale-price);
    }

    &.compare-at {
      color: var(--color-black);
      opacity: 0.66;
    }
  }

  .rebuy-product-title {
    font-size: var(--font-size-product-listing-title);
  }

  .rebuy-product-options {
    position: relative;

    &:has(select:not(.hide))::after {
      content: "";
      position: absolute;
      top: 20px;
      right: 0;
      pointer-events: none;
      background-color: var(--color-black);
      clip-path: path(
        "M 1.3535156,0.14648437 0.64648437,0.85351563 5,5.2070312 9.3535156,0.85351563 8.6464844,0.14648437 5,3.7929688 Z"
      );
      width: 10px;
      height: 6px;
    }
  }

  select.rebuy-select {
    background-image: none;
    background-color: transparent !important;
    border-color: var(--color-mid-gray);
    border-width: 0 0 1px;
    padding-left: 0;

    &:focus {
      border-color: var(--color-mid-gray);
    }
  }

  .rebuy-carousel__arrows .rebuy-carousel__arrow {
    width: 42px;
    height: 42px;
    color: var(--color-black);
    background-color: var(--color-white);
    border-radius: 100%;
    box-shadow: var(--box-shadow-large);
    opacity: 0;
    transition: opacity 0.2s;

    > svg {
      display: none;
    }

    &::before {
      content: "";
      position: absolute;
      pointer-events: none;
      background-color: var(--color-black);
      clip-path: path(
        "m 14.425781,2.3886719 -1.251953,1.2226562 7.746094,7.9160159 H 11.5 0 v 1.75 h 11.5 9.417969 l -7.744141,7.914062 1.251953,1.22461 9.199219,-9.402344 v -1.224609 z"
      );
      width: 24px;
      height: 24px;
      scale: 0.8;
    }

    &.rebuy-carousel__arrow--prev::before {
      transform: scaleX(-1);
    }
  }
}

@media (min-width: 768px) {
  .rebuy-widget
    .rebuy-product-grid:hover
    .rebuy-carousel__arrows
    .rebuy-carousel__arrow {
    opacity: 1;
  }

  .product-blocks {
    & .rebuy-widget .rebuy-product-grid.large-carousel,
    & .rebuy-recommended-products .rebuy-product-grid.large-carousel {
      padding-right: 0;
      padding-left: 0;
    }

    & .rebuy-widget .rebuy-product-grid.large-style-list .rebuy-product-block {
      & .rebuy-product-media {
        width: 30%;
      }

      & .rebuy-product-info {
        width: 70%;
      }

      & .rebuy-product-options {
        width: 70%;
      }

      & .rebuy-product-actions {
        width: 70%;
        text-align: left;
      }
    }

    &
      .rebuy-widget
      .rebuy-product-grid.large-style-list
      .rebuy-product-block
      .rebuy-product-info,
    &
      .rebuy-recommended-products
      .rebuy-product-grid.large-style-list
      .rebuy-product-block
      .rebuy-product-info {
      margin-top: 0;
    }
  }
}
